Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: Reuben Thomas <[email-masked]>
Date: Sun, 8 Sep 2024 12:38:16 +0100

On Sun, 8 Sept 2024 at 09:42, martin rudalics <[email-masked]> wrote:

>  >> -#if defined (USE_X_TOOLKIT) || defined (USE_GTK)
>  >> +#if defined (USE_X_TOOLKIT) && !defined (USE_GTK)
>  >>
>  >
>  > OK, so I applied this patch and ran `emacs -Q`, then did C-x 5 2 and got
>  > the usual small window and error:
>  >
>  > (emacs:3159980): Gtk-CRITICAL **: 13:05:49.056:
>  > gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
>
> Do you get an assertion failure already before the C-x 5 2?
>

No.

Where could we go from here?

(I comment below where I think I may have useful input.)

after requesting the larger size.  For this purpose we would have to
> find out whether 400x340 is some built-in size used by the WM or GTK
> or something Emacs itself has used before.
>

Since this size crops up with emacs -Q, it doesn't seem to be related to
something Emacs has used before. I did also grep through my ~/.emacs.d
directory, but I couldn't find anything relevant there.

(4) Look for other causes.  Could scaling be involved?

My GNOME desktop is scaled by 200%, so it could be.

> (5) Finally, the most important: Can other users observe the same or
> similar behavior as Reuben?
>

Several bugs were already reported of similar behaviour, no? Or maybe you
meant something more specific.

-- 
https://rrt.sc3d.org